C***********************************************************************
C*****************************  RAOBCON ********************************
C***********************************************************************
C**
C**  NAME:  RAOBCON
C**
C**
C**
C**  PURPOSE
C**  =======
C**  INCLUDE FILE                BASELINE VERSION   05/30/08 L. BENJAMIN
C**  PARAMETERS USED THROUGHOUT THE RAOB AND API SYSTEM
C**
C***********************************************************************
C***********************************************************************


      INTEGER MAX_RAOB_QCCHK_P
      PARAMETER (MAX_RAOB_QCCHK_P = 10)

      INTEGER MXRAOB_P,MXRAOBLEV_P,MXRAOBMAN_P
      INTEGER MXRAOBSIGT_P,MXRAOBSIGW_P,MXRAOBMXWND_P,MXRAOBTROP_P
      INTEGER MXRAOBVAR_P,MXRAOBSIGWHT_P,MXRAOBSIGWP_P

      PARAMETER (MXRAOB_P = 1000)
      PARAMETER (MXRAOBMAN_P = 22)
      PARAMETER (MXRAOBSIGT_P = 175)
      PARAMETER (MXRAOBSIGW_P = 200)
      PARAMETER (MXRAOBMXWND_P = 4)
      PARAMETER (MXRAOBTROP_P = 4)
      PARAMETER (MXRAOBLEV_P = MXRAOBMAN_P+MXRAOBSIGT_P+MXRAOBSIGW_P+
     1                         MXRAOBMXWND_P+MXRAOBTROP_P) 
      PARAMETER (MXRAOBSIGWHT_P = 80)
      PARAMETER (MXRAOBSIGWP_P = 120)
      PARAMETER (MXRAOBVAR_P = 6)

C     RAOB CODE NUMBERS USED BY RAOB.F AND IT'S SUBROUTINES, AND
C     BY THE RAOB-HANDLING API CODE.

      INTEGER P_RAOB_P,HT_RAOB_P,T_RAOB_P
      INTEGER SFC_RAOB_P,MAN_RAOB_P,SIGT_RAOB_P
      INTEGER SIGW_RAOB_P,MXWND_RAOB_P,TROP_RAOB_P

      PARAMETER(SFC_RAOB_P = 1)
      PARAMETER(P_RAOB_P = 1)
      PARAMETER(HT_RAOB_P = 2)
      PARAMETER(T_RAOB_P = 3)

      PARAMETER(MAN_RAOB_P = 2)
      PARAMETER(SIGT_RAOB_P = 3)
      PARAMETER(SIGW_RAOB_P = 4)
      PARAMETER(MXWND_RAOB_P = 5)
      PARAMETER(TROP_RAOB_P = 6)

